import React from "react";
import Dropdown from './dropdown';
import { Link } from 'react-router'
import {Icon} from 'react-fa'
import { connect } from 'react-redux'
import "../styles/menu.scss"
import { actionLogin } from "../actions/connection"
import translate from 'redux-polyglot/translate';

class UserNotConnected extends React.Component {

  render() {

    return (
      <div className="menu-user-not-connected">
        <div className="menu-user-not-connected-item">
          <Icon className="menu-user-not-connected-item-icon" name="sign-in" />
        <span translate="yes">Sign in</span>
        </div>
        <div className="menu-user-not-connected-item" onClick={this.props.onConnection}>
          <Icon className="menu-user-not-connected-item-icon" name="user" />
        <span translate="yes">Login</span>
        </div>
      </div>
    )
  }

}

UserNotConnected = translate(UserNotConnected);

 class MenuComponent extends React.Component {

  render() {

  let menuUser = <UserNotConnected onConnection={this.props.onLogin}/>

  if (this.props.connected) {

      menuUser = <Dropdown />
    }

    console.log(this.props.p.t('home_351838cd'));

    return (
      <div className="menu">
        <div className="menu-item-container">
          <Link className="menu-item" to='/'><Icon className="menu-item-icon" name="home" />{this.props.p.t('home_351838cd')}</Link>
          <Link className="menu-item" to='/movies'><Icon className="menu-item-icon" name="film" />Movies</Link>
          <Link className="menu-item" to='/series'><Icon className="menu-item-icon" name="tv" />Series</Link>
          <Link className="menu-item" to='/games'><Icon className="menu-item-icon" name="gamepad" />Games</Link>
        </div>
        <div className="menu-user">
          {menuUser}
        </div>
      </div>
    )
  }
}

MenuComponent = translate(MenuComponent);

/****************************************************/

const mapStateToProps = (state) => {

  return {
    connected : state.connected
  }
};

const mapDispatchToProps = (dispatch) => {
  return {
    onLogin : () => {
      dispatch(actionLogin())
    }
  }
};

const Menu = connect(
  mapStateToProps,
  mapDispatchToProps
)(MenuComponent);

export default Menu;
